Bug 175608 - [UPDATE PORT] databases/mongodb 2.2.0 to 2.2.2
[UPDATE PORT] databases/mongodb 2.2.0 to 2.2.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wesley Shields
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-26 15:50 UTC by uzimac
Modified: 2013-02-21 15:51 UTC (History)
0 users

See Also:


Attachments
file.shar (18.57 KB, text/plain)
2013-01-26 15:50 UTC, uzimac
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description uzimac 2013-01-26 15:50:01 UTC
1) updated to mongodb 2.2.2
2) rearranged the Makefile header to avoid portlint reporting 'FAIL'
3) added comments to files/mongod.in regarding cl params and config file
thanks

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-01-26 15:50:19 UTC
Maintainer of databases/mongodb,

Please note that PR ports/175608 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175608

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-01-26 15:50:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Wesley Shields freebsd_committer 2013-01-28 17:18:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 4 dfilter freebsd_committer 2013-02-21 15:47:38 UTC
Author: wxs
Date: Thu Feb 21 15:47:25 2013
New Revision: 312722
URL: http://svnweb.freebsd.org/changeset/ports/312722

Log:
  Update to 2.2.2
  
  PR:		ports/175608
  Submitted by:	Waitman Gobble <uzimac@da3m0n8t3r.com>

Modified:
  head/databases/mongodb/Makefile
  head/databases/mongodb/distinfo
  head/databases/mongodb/files/mongod.in   (contents, props changed)

Modified: head/databases/mongodb/Makefile
==============================================================================
--- head/databases/mongodb/Makefile	Thu Feb 21 15:41:33 2013	(r312721)
+++ head/databases/mongodb/Makefile	Thu Feb 21 15:47:25 2013	(r312722)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	mongodb
-PORTVERSION=	2.2.0
+PORTVERSION=	2.2.2
 PORTREVISION=	2
 CATEGORIES=	databases net
 MASTER_SITES=	http://downloads.mongodb.org/src/

Modified: head/databases/mongodb/distinfo
==============================================================================
--- head/databases/mongodb/distinfo	Thu Feb 21 15:41:33 2013	(r312721)
+++ head/databases/mongodb/distinfo	Thu Feb 21 15:47:25 2013	(r312722)
@@ -1,2 +1,2 @@
-SHA256 (mongodb-src-r2.2.0.tar.gz) = 084626e476ac747dfae143889c24a10f739cd54480af9bf253f50999f065608b
-SIZE (mongodb-src-r2.0.6.tar.gz) = 10150762
+SHA256 (mongodb-src-r2.2.2.tar.gz) = e646abd0a9839dec11fa4f35089aad8e9aeef628bce7832ab40a3138c7462127
+SIZE (mongodb-src-r2.2.2.tar.gz) = 10171793

Modified: head/databases/mongodb/files/mongod.in
==============================================================================
--- head/databases/mongodb/files/mongod.in	Thu Feb 21 15:41:33 2013	(r312721)
+++ head/databases/mongodb/files/mongod.in	Thu Feb 21 15:47:25 2013	(r312722)
@@ -32,6 +32,17 @@ load_rc_config $name
 : ${mongod_dbpath="/var/db/mongodb"}
 : ${mongod_user="mongodb"}
 
+# Note: if you use a config file for mongodb, 
+# the parameters passed on cl override the config file
+# ie, dbpath, logappend, logpath etc in the command_args below.
+# This means that your config file will be ignored unless
+# you comment out remove the cl parameters.
+#
+# Using config file: uncomment the following line AND comment out
+# the next line.
+
+# command_args="-f $mongod_config"
+
 command_args="-f $mongod_config --dbpath $mongod_dbpath --logappend --logpath $mongod_dbpath/mongod.log --fork"
 
 required_dirs=${mongod_dbpath}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Wesley Shields freebsd_committer 2013-02-21 15:51:03 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!